just(1)

NAME
just - 🤖 Just a command runner - https://github.com/casey/just

SYNOPSIS
just [--alias-style] [--allow-missing] [--ceiling] [--check] [--chooser] [--clear-shell-args] [--color] [--command-color] [--complete-aliases] [--cygpath] [--dotenv-filename] [-E|--dotenv-path] [-n|--dry-run] [--dump-format] [--evaluate-format] [--explain] [-g|--global-justfile] [--group] [--highlight] [--indentation] [-f|--justfile] [--justfile-name] [--list-heading] [--list-prefix] [--list-submodules] [--no-aliases] [--no-deps] [--no-dotenv] [--no-highlight] [--one] [-q|--quiet] [--set] [--shell] [--shell-arg] [--shell-command] [--changelog] [--choose] [-c|--command] [--completions] [--dump] [-e|--edit] [--evaluate] [--fmt] [--groups] [--init] [--json] [-l|--list] [--man] [-s|--show] [--summary] [--usage] [--variables] [--tempdir] [--time] [--timestamp] [--timestamp-format] [-u|--unsorted] [--unstable] [-v|--verbose]... [-d|--working-directory] [--yes] [-h|--help] [-V|--version] [ARGUMENTS]

DESCRIPTION
🤖 Just a command runner - https://github.com/casey/just

OPTIONS

--alias-style <ALIAS_STYLE> [default: right]
    Set list command alias display style
    Possible values:

    •   left

    •   right

    •   separate

--allow-missing
    Ignore missing recipe and module errors

--ceiling <CEILING>
    Do not ascend above <CEILING> directory when searching for a justfile.

--check
    Run `--fmt` in 'check' mode. Exits with 0 if justfile is formatted correctly. Exits with 1 and prints a diff if formatting is required.

--chooser <CHOOSER>
    Override binary invoked by `--choose`

--clear-shell-args
    Clear shell arguments

--color <COLOR> [default: auto]
    Print colorful output
    Possible values:

    •   always

    •   auto

    •   never

--command-color <COMMAND_COLOR>
    Echo recipe lines in <COMMAND-COLOR>
    Possible values:

    •   black

    •   blue

    •   cyan

    •   green

    •   purple

    •   red

    •   yellow

--complete-aliases
    Auto-complete recipe aliases

--cygpath <CYGPATH> [default: cygpath]
    Use binary at <CYGPATH> to convert between unix and Windows paths.

--dotenv-filename <DOTENV-FILENAME>
    Search for environment file named <DOTENV-FILENAME> instead of `.env`

-E, --dotenv-path <DOTENV-PATH>
    Load <DOTENV-PATH> as environment file instead of searching for one

-n, --dry-run
    Print what just would do without doing it

--dump-format <FORMAT> [default: just]
    Dump justfile as <FORMAT>
    Possible values:

    •   json

    •   just

--evaluate-format <FORMAT> [default: just]
    Print evaluated variables in <FORMAT>
    Possible values:

    •   just

    •   shell

--explain
    Print recipe doc comment before running it

-g, --global-justfile
    Use global justfile

--group <GROUP>
    Only list recipes in <GROUP>

--highlight
    Highlight echoed recipe lines in bold

--indentation <INDENTATION> [default:     ]
    Indent recipes bodies with <INDENTATION>

-f, --justfile <JUSTFILE>
    Use <JUSTFILE> as justfile

--justfile-name <NAME>
    Search for justfile named <NAME>

--list-heading <TEXT> [default: Available recipes:
    ] Print <TEXT> before list

--list-prefix <TEXT> [default:     ]
    Print <TEXT> before each list item

--list-submodules
    List recipes in submodules

--no-aliases
    Don't show aliases in list

--no-deps
    Don't run recipe dependencies

--no-dotenv
    Don't load `.env` file

--no-highlight
    Don't highlight echoed recipe lines in bold

--one
    Forbid multiple recipes from being invoked on the command line

-q, --quiet
    Suppress all output

--set <VARIABLE> <VALUE>
    Override <VARIABLE> with <VALUE>

--shell <SHELL>
    Invoke <SHELL> to run recipes

--shell-arg <SHELL_ARG>
    Invoke shell with <SHELL-ARG> as an argument

--shell-command
    Invoke <COMMAND> with the shell used to run recipe lines and backticks

--tempdir <TEMPDIR>
    Save temporary files to <TEMPDIR>.

--time
    Print recipe execution time

--timestamp
    Print recipe command timestamps

--timestamp-format <TIMESTAMP_FORMAT> [default: %H:%M:%S]
    Timestamp format string

-u, --unsorted
    Return list and summary entries in source order

--unstable
    Enable unstable features

-v, --verbose
    Use verbose output

-d, --working-directory <WORKING-DIRECTORY>
    Use <WORKING-DIRECTORY> as working directory. --justfile must also be set

--yes
    Automatically confirm all recipes.

-h, --help
    Print help

-V, --version
    Print version

[ARGUMENTS]
    Overrides and recipe(s) to run, defaulting to the first recipe in the justfile

COMMANDS

--changelog
    Print changelog

--choose
    Select one or more recipes to run using a binary chooser. If `--chooser` is not passed the chooser defaults to the value of $JUST_CHOOSER, falling back to `fzf`

-c, --command <COMMAND>...
    Run an arbitrary command with the working directory, `.env`, overrides, and exports set

--completions <SHELL>
    Print shell completion script for <SHELL>
    Possible values:

    •   bash

    •   elvish

    •   fish

    •   nushell

    •   powershell

    •   zsh

--dump
    Print justfile

-e, --edit
    Edit justfile with editor given by $VISUAL or $EDITOR, falling back to `vim`

--evaluate
    Evaluate and print all variables. If a variable name is given as an argument, only print that variable's value.

--fmt
    Format and overwrite justfile

--groups
    List recipe groups

--init
    Initialize new justfile in project root

--json
    Print justfile as JSON

-l, --list [<MODULE>...]
    List available recipes in <MODULE> or root if omitted

--man
    Print man page

-s, --show <PATH>...
    Show recipe at <PATH>

--summary
    List names of available recipes

--usage <PATH>...
    Print recipe usage information

--variables
    List names of variables

VERSION
v1.50.0

AUTHORS
Casey Rodarmor <casey@rodarmor.com>